import { d as s, ay as n, ac as c, c as l, o as u, w as f, j as _, l as d, X as h, __tla as __tla_0 } from "./index-9PRMimni.js";
import { B as g } from "./BasicForm-dL_oCSPM.js";
import { c as B, __tla as __tla_1 } from "./schemas-C0ECnkWr.js";
import { u as w } from "./useForm-CKmgcynv.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./template-rpthWlT9.js";
import "./planner-BebmniHR.js";
import "./usePageCache-DluHn7Yy.js";
let J;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    J = s({
        __name: "ShipOverview",
        props: {
            formData: {
                type: Object,
                default: ()=>({})
            }
        },
        setup (t) {
            const r = t;
            n(()=>r.formData, (o)=>{
                c(()=>{
                    o.lbd = `${o.lengthOverall || "0"} * ${o.depth || "0"} * ${o.beam || "0"}`, p(o || {});
                });
            }, {
                immediate: !0
            });
            const { shipInfoSchemas: e } = B({
                readonly: !0
            }), [m, { setFieldsValue: p }] = w({
                layout: "horizontal",
                labelWidth: "auto",
                schemas: e,
                showActionButtonGroup: !1,
                collapsed: !0,
                gridProps: {
                    cols: 5,
                    xGap: 15
                }
            });
            return (o, x)=>{
                const a = g, i = h;
                return u(), l(i, null, {
                    default: f(()=>[
                            _(a, {
                                ref: "formRef",
                                onRegister: d(m)
                            }, null, 8, [
                                "onRegister"
                            ])
                        ]),
                    _: 1
                });
            };
        }
    });
});
export { J as default, __tla };
